##### basic_seq_packet_socket::set_option (1 of 2 overloads)

Inherited from basic_socket.

Set an option on the socket.

    template<
        typename SettableSocketOption>
    void set_option(
        const SettableSocketOption & option);

This function is used to set an option on the socket.

###### Parameters

option

  The new option value to be set on the socket.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

Setting the IPPROTO_TCP/TCP_NODELAY option:

    asio::ip::tcp::socket socket(my_context);
    ...
    asio::ip::tcp::no_delay option(true);
    socket.set_option(option);